﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MP_SDK_Demo
{
    public partial class frmISO14443A_ReadMifare : Form
    {
        public frmISO14443A_ReadMifare()
        {
            InitializeComponent();
            cboSelectKey.SelectedIndex = 0;
        }

        public UInt32 GetBlock()
        {
            return (UInt32)nmBlock.Value;
        }

        public Int32 GetKeyType()
        {
            return cboSelectKey.SelectedIndex;
        }

        public Byte[] GetKey()
        {
            Byte[] Key = { 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF };

            if (txtKey.Text.Length != 12) return Key;

            try
            {
                for (Int32 i32Lp = 0; i32Lp < 6; i32Lp++)
                {
                    Key[i32Lp] = Convert.ToByte(txtKey.Text.Substring(i32Lp * 2, 2), 16);
                }
            }
            catch { }
            return Key;
        }
    }
}
