﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MP_SDK_Demo
{
    public partial class frmISO14443A_WriteMifare : Form
    {
        public frmISO14443A_WriteMifare()
        {
            InitializeComponent();
            cboSelectKey.SelectedIndex = 0;
        }

        public UInt32 GetBlock()
        {
            return (UInt32)nmBlock.Value;
        }

        public Int32 GetKeyType()
        {
            return cboSelectKey.SelectedIndex;
        }

        public Byte[] GetKey()
        {
            Byte[] Key = { 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF };

            if (txtKey.Text.Length != 12) return Key;

            try
            {
                for (Int32 i32Lp = 0; i32Lp < 6; i32Lp++)
                {
                    Key[i32Lp] = Convert.ToByte(txtKey.Text.Substring(i32Lp * 2, 2), 16);
                }
            }
            catch { }
            return Key;
        }

        public Byte[] GetData()
        {
            Byte[] Data = new Byte[16];

            if (txtData.Text.Length != 32) return Data;

            try
            {
                for (Int32 i32Lp = 0; i32Lp < 16; i32Lp++)
                {
                    Data[i32Lp] = Convert.ToByte(txtData.Text.Substring(i32Lp * 2, 2), 16);
                }
            }
            catch { }
            return Data;
        }

        // This Function Just For Customer
        private void btnXor_Click(object sender, EventArgs e)
        {
            Byte Xor = 0x00;

            if (txtData.Text.Length == 0) return;

            if (txtData.Text.Length == 32) return;

            if (txtData.Text.Length % 2 != 0) return;

            Int32 i32Len = txtData.Text.Length / 2;

            for(Int32 i32Lp = 0 ; i32Lp < i32Len ; i32Lp++)
                Xor ^= Convert.ToByte(txtData.Text.Substring(i32Lp * 2, 2), 16);

            txtData.Text += Xor.ToString("X2");

            Int32 ZeroLen = (32 - txtData.Text.Length);

            for (Int32 i32Lp = 0; i32Lp < ZeroLen; i32Lp++)
            {
                txtData.Text += "0";
            }

        }
    }
}
