﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MP_SDK_Demo
{
    public partial class frmDesfire_CreateApplication : Form
    {
        public frmDesfire_CreateApplication()
        {
            InitializeComponent();
            cboType.SelectedIndex = 0;
        }

        public Byte[] GetAID()
        {
            Byte[] AID = { 0x00,0x00,0x00};

            if (txtAID.Text.Length != 6) return AID;

            try
            {
                for (Int32 i32Lp = 0; i32Lp < 3; i32Lp++)
                {
                    AID[i32Lp] = Convert.ToByte(txtAID.Text.Substring(i32Lp * 2, 2), 16);
                }
            }
            catch { }
            return AID;
        }

        public Int32 GetMaxKeys()
        {
            return (Int32)nmMaxkey.Value;
        }

        public Int32 GetChangeKeyAccess()
        {
            return (Int32)nmAccess.Value;
        }

        public Int32 GetCryptoType()
        {
            return cboType.SelectedIndex;
        }

        public Int32 GetCondition1()
        { 
            return (chkCondition1.Checked == true)?(Int32)0x01:(Int32)0x00;
        }

        public Int32 GetCondition2()
        {
            return (chkCondition2.Checked == true) ? (Int32)0x01 : (Int32)0x00;
        }

        public Int32 GetCondition3()
        {
            return (chkCondition3.Checked == true) ? (Int32)0x01 : (Int32)0x00;
        }

        public Int32 GetCondition4()
        {
            return (chkCondition4.Checked == true) ? (Int32)0x01 : (Int32)0x00;
        }
    }
}
